%def_with static
%define shortname libshout

Name: libshout2
Version: 2.1
Release: alt1.1

Summary: libshout - icecast source streaming library
Group: System/Libraries
License: LGPL
Url: http://www.icecast.org
Packager: Pavlov Konstantin <thresh@altlinux.ru>

Source: %shortname-%version.tar.gz
Patch1: %name.patch

# Automatically added by buildreq on Wed Oct 20 2004
BuildRequires: glibc-devel-static hostinfo libogg-devel libvorbis-devel pkgconfig

%description
Libshout is a library for communicating with and sending data to an
icecast server. It handles the socket connection, the timing of the
data, and prevents most bad data from getting to the icecast server.

%package devel
Summary: icecast2 source streaming library development package
Group: Development/C
Requires: %name = %version-%release

%description devel
The libshout2-devel package contains the header files needed for developing
applications that send data to an icecast2 server. Install libshout2-devel if
you want to develop applications using libshout2.

%package devel-static
Summary: icecast2 static library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains static version of libshout2 library. Install
libshout2-devel-static if you want to develop applications statically linked
with libshout2.

%prep
%setup -q -n %shortname-%version
%patch1 -p1

%build
%configure \
	--includedir=/usr/include/shout2 \
	--oldincludedir=/usr/include/shout2

%make_build

%install
%make_install DESTDIR=%buildroot install

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%if_without static
%__rm -f %buildroot%_libdir/*.a
%endif

%__mv %buildroot%_datadir/doc/libshout %buildroot%_datadir/doc/%name-%version
%__mkdir_p %buildroot%_includedir/shout2/
%__mv %buildroot%_includedir/shout %buildroot%_includedir/shout2/shout

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc %_datadir/doc/*

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%_datadir/aclocal/*

%if_with static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Mon Mar 14 2005 Pavlov Konstantin <thresh@altlinux.ru> 2.1-alt1.1
- fixed wrong patch.

* Fri Mar 04 2005 Pavlov Konstantin <thresh@altlinux.ru> 2.1-alt1
- 2.1 release.

* Mon Nov 22 2004 Pavlov Konstantin <thresh@altlinux.ru> 2.0-alt2
- Fixed bug #5544.
- so name changed to libshout2.
- spec cleanup.

* Wed Oct 20 2004 Pavlov Konstantin <thresh@altlinux.ru> 2.0-alt1
- Initial build for Sisyphus.
